/*
 * @Author: yuta
 * @Date: 2021-06-29 15:36:13
 * @LastEditTime: 2021-12-16 17:17:18
 * @LastEditors: yuta
 */
import DebugManager from "./lib/DebugManager";

interface LogManager {
  appendHttpLogs(response: object): void;
  getHttpLogs: void;
  clearHttpLogs: void;
}

interface ServerUrlManager {
  initServerUrlMap(map: any): void;
  initHost: void;
  getHost: void;
  setHost: void;
}

export default class DebugManager {
  static LogManager: LogManager;
  static WebViewLogManager: any;
  static ServerUrlManager: ServerUrlManager;
  static openTool(): void;
  static closeTool(): void;
  static renderFloatPanel(): void;
  static debug: boolean;
}
